Subject: Re: [kvm-devel] QEMU PIC indirection patch for in-kernel APIC work

From: Ingo Molnar <[email-masked]>
Date: Fri, 6 Apr 2007 13:07:27 +0200

* Ingo Molnar <[email-masked]> wrote:

> * Anthony Liguori <[email-masked]> wrote:
> 
> > [...] Did Linux have extremely high quality code in 1994?
> 
> yes! It was crutial to strive for extremely high quality code all the 
> time. That was the only way to grow Linux's codebase, which was 
> ~300,000 lines of code in 1994, to the current 7.2+ million lines of 
> code, without losing maintainability. [...]

in fact Linux 1.0, released in early 1994, was only 170,000 LOC:

  http://www.kernel.org/pub/linux/kernel/v1.0/linux-1.0.tar.gz

and i just looked at a few random files in it - it's pretty clean.

	Ingo